Loading...
Searching...
No Matches
Ogre::ResourceManager::ResourcePool Class Reference

Definition of a pool of resources, which users can use to reuse similar resources many times without destroying and recreating them. More...

`#include <OgreResourceManager.h>`

Inheritance diagram for Ogre::ResourceManager::ResourcePool:
[legend]

## Public Member Functions

| ResourcePool (const String &name)
| ~ResourcePool ()
void | clear () override
| Clear the pool.
const String & | getName () const
| Get the name of the pool.
Public Member Functions inherited from Ogre::Pool< ResourcePtr >
| Pool ()
virtual | ~Pool ()
virtual void | addItem (const ResourcePtr &i)
| Add a new item to the pool.
virtual std::pair< bool, ResourcePtr > | removeItem ()
| Get the next item from the pool.

## Detailed Description

Definition of a pool of resources, which users can use to reuse similar resources many times without destroying and recreating them.

This is a simple utility class which allows the reuse of resources between code which has a changing need for them. For example,

## Constructor & Destructor Documentation

## ResourcePool()

Ogre::ResourceManager::ResourcePool::ResourcePool | ( | const String & | name | ) |

## ~ResourcePool()

Ogre::ResourceManager::ResourcePool::~ResourcePool | ( |  | ) |

## Member Function Documentation

## getName()

const String & Ogre::ResourceManager::ResourcePool::getName | ( |  | ) | const

Get the name of the pool.

## clear()

void Ogre::ResourceManager::ResourcePool::clear | ( |  | ) |

override virtual

Clear the pool.

Reimplemented from Ogre::Pool< ResourcePtr >.

The documentation for this class was generated from the following file:

- OgreResourceManager.h